image: node:20-alpine

variables:
  NODE_ENV: production
  LC_ALL: C.UTF-8

before_script:
  - yarn

test:
  stage: test
  script:
  - yarn build --verbose
  artifacts:
    paths:
    - test
  except:
  - master

pages:
  stage: deploy
  script:
  - yarn build
  artifacts:
    paths:
    - public
  only:
  - production
